com.corticon.eclipse.core

## Interface IModelAPIStateManagerListener

-     public interface IModelAPIStateManagerListener

  Model API State Manager listener receives notification whenever any client program retrieves or releases the shared model API state.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modelAPIStateCreated(IModelAPIState aModelAPIState)` This method is called whenever an instance of Model API State is created by the ModelAPIStateManager.
    `void` | `modelAPIStateDestroyed(IModelAPIState aModelAPIState)` This method is called whenever an instance of Model API State is destroyed by the ModelAPIStateManager.
    `void` | `modelAPIStateReleased(IModelAPIState aModelAPIState, int aiUsageCount)` This method is called whenever an instance of Model API State is released by a client program.
    `void` | `modelAPIStateRetrieved(IModelAPIState aModelAPIState, int aiUsageCount)` This method is called whenever an instance of Model API State is retrieved by a client program.

- - ### Method Detail

    - #### modelAPIStateCreated

          void modelAPIStateCreated(IModelAPIState aModelAPIState)

      This method is called whenever an instance of Model API State is created by the ModelAPIStateManager.
      Parameters:
        `aModelAPIState` - Instance of model API state created.

    - #### modelAPIStateDestroyed

          void modelAPIStateDestroyed(IModelAPIState aModelAPIState)

      This method is called whenever an instance of Model API State is destroyed by the ModelAPIStateManager.
      Parameters:
        `aModelAPIState` - Instance of model API state destroyed.

    - #### modelAPIStateRetrieved

          void modelAPIStateRetrieved(IModelAPIState aModelAPIState,
                                    int aiUsageCount)

      This method is called whenever an instance of Model API State is retrieved by a client program.
      Parameters:
        `aModelAPIState` - Instance of model API state retrieved.
        `aiUsageCount` - Value of usage count after state has been retrieved.

    - #### modelAPIStateReleased

          void modelAPIStateReleased(IModelAPIState aModelAPIState,
                                   int aiUsageCount)

      This method is called whenever an instance of Model API State is released by a client program.
      Parameters:
        `aModelAPIState` - Instance of model API state released.
        `aiUsageCount` - Value of usage count after state has been released.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.